{% if external_url is defined and (ansible_host in groups['app'] or inventory_hostname in groups['app']) %}
external_url '{{ external_url }}'
{% endif %}

{% if gitlab_roles is defined %}
roles {{ gitlab_roles | tojson }}
{% endif %}

{% for service in gitlab_rb %}
{% for val in gitlab_rb[service] %}
{{ service }}['{{ val }}'] = {{ gitlab_rb[service][val] | tojson }}
{% endfor %}
{% endfor %}

{% if 'consul' in gitlab_rb %}
consul['configuration']['retry_join'] = {{ consul_retry_join }}
{% endif %}

{% if consul_bind_addr is defined %}
consul['configuration']['bind_addr'] = '{{ consul_bind_addr }}'
{% endif %}

{% if postgresql_version is defined %}
postgresql['version'] = '{{ postgresql_version }}'
{% endif %}

{% if postgresql_listen_address is defined %}
postgresql['listen_address'] = '{{ postgresql_listen_address }}'
{% endif %}

{% if postgresql_trust_auth_cidr_addresses is defined %}
postgresql['trust_auth_cidr_addresses'] = {{ postgresql_trust_auth_cidr_addresses | tojson }}
{% endif %}

{% if postgresql_sql_user_password is defined %}
postgresql['sql_user_password'] = "{{ (postgresql_sql_user_password + 'gitlab') | md5 }}"
{% endif %}

{% if postgresql_pgbouncer_user_password is defined %}
postgresql['pgbouncer_user_password'] = "{{ (postgresql_pgbouncer_user_password + 'pgbouncer')  | md5 }}"
{% endif %}

{% if repmgr_trust_auth_cidr_addresses is defined %}
repmgr['trust_auth_cidr_addresses'] = {{ repmgr_trust_auth_cidr_addresses | tojson }}
{% endif %}

postgresql['max_replication_slots'] = {{ max_replication_slots }}
